Create web payment

Initiate TBC Checkout web payment

Body Params
amount
object
required

transaction amount

string
required

callback url to redirect user after finishing payment

string

additional parameter for merchant specific info (optional). only non-unicode (ANS) symbols allowed. max length 25. This parameter will appear in the account statement

int32

payment initiation expiration time in minutes.

methods
array of int32s

payment methods to be displayed for the user on the checkout screen: 4 - Web QR; 5 – Pan (Card) Payment 6 – Ertguli Points 7 – Internet Bank Login; 8 - Installment; 9 - Apple Pay. Note: To use Methods 6 - Erguli Points and 9 - Apple Pay, service should be activated for the merchant from back-office. Please, contact sales for more information.

methods
installmentProducts
array of objects

list of installment products. mandatory if installment is selected as payment method. Please note, sum of prices of installment products should be same as total amount.

installmentProducts
string

when payment status changes to final status, POST request containing PaymentId in the body will be sent to given URL. In case of successful receipt of the request, the merchant must return the status code 200 and check the payment status through GET /payments/{payment-id} endpoint. Body example {"PaymentId":"6azzo13uw5u2116332"} callbackUrl must be added on the merchant dashboard at ecom.tbcpayments.ge. If callbackUrl parameter is not provided, system automatically takes the basic callbackUrl value from the merchant dashboard. Please, verify that POST request is allowed at your callbackUrl from the following IP addresses: 193.104.20.44 193.104.20.45 185.52.80.44 185.52.80.45

boolean

specify if preauthorization is needed for the transaction. if "true" is passed, amount will be blocked on the card and additional request should be executed by merchant to complete payment. To finalize authorization process, /v1/tpay/payments/:paymentId/completion endpoint should be used. Note, that Completion request can be initiated not later than 30 days from Preauthorization date. By default block is saved for 30 days, although some banks may have a different setting, so this setting depends on the card issuing bank (Isuer Bank). The following values are allowed: true, false

string
enum

default language for payment page The following values are allowed: KA, EN, RU

Allowed:
string

Merchant-side payment identifier

boolean

If true is passed, TBC checkout info message will be skipped and customer will be redirected to merchant. If false is passed or this parameter isn’t passed at all, TBC checkout info message will be shown and customer will be redirected to merchant.

boolean

Specify if saving card funcion is needed. This function should be enabled for the merchant by bank. If true is passed, recId parameter should be returned in response, through this parameter merchant can execute payment by saved card - POST /payments/execution. Zero amount is allowed for this function. If card saving funtion is requested with preauthorization parameter=true, saved card execution method will be activated after preauthorization completion. WebQR, ApplePay and installments pay methods are not allowed for saving card request

string

The date until the card will be saved can be passed in following format "MMYY". If the saveCardToDate is not provided or data provided by the merchant exceeds card expiry , the system will automatically assign the SaveCardToDate value that will be equal to card expiry. The actual card save date must be verified by getting payment status after transaction completed with GET /payments/{payment-id}

Headers
string
required

developer app API key

Response

Language
Credentials
Header
Request
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json